rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
FTS Struct Reference

`#include <rpmio/fts.h>`

Collaboration diagram for FTS:
[legend]

## Data Fields
struct _ftsent * | fts_cur
struct _ftsent * | fts_child
struct _ftsent ** | fts_array
dev_t | fts_dev
char * | fts_path
int | fts_rfd
int | fts_pathlen
int | fts_nitems
int(* | fts_compar )(const void *, const void *)
DIR *(* | fts_opendir )(const char *path)
struct dirent *(* | fts_readdir )(DIR *dir)
int(* | fts_closedir )(DIR *dir)
int(* | fts_stat )(const char *path, struct stat *st)
int(* | fts_lstat )(const char *path, struct stat *st)
int | fts_options

## Detailed Description

Definition at line 54 of file fts.h.

## Field Documentation

struct _ftsent** FTS::fts_array

sort array

Definition at line 60 of file fts.h.

Referenced by Fts_close(), and fts_sort().

struct _ftsent* FTS::fts_child

linked list of children

Definition at line 58 of file fts.h.

Referenced by Fts_children(), Fts_close(), fts_padjust(), and Fts_read().

int(* FTS::fts_closedir)(DIR *dir)

Definition at line 77 of file fts.h.

Referenced by fts_build(), and Fts_open().

int(* FTS::fts_compar)(const void *, const void *)

compare fn

Definition at line 68 of file fts.h.

Referenced by fts_build(), Fts_open(), and fts_sort().

struct _ftsent* FTS::fts_cur

current node

Definition at line 56 of file fts.h.

Referenced by fts_build(), Fts_children(), Fts_close(), Fts_open(), and Fts_read().

dev_t FTS::fts_dev

starting device #

Definition at line 61 of file fts.h.

Referenced by fts_load(), and Fts_read().

int(* FTS::fts_lstat)(const char *path,struct stat *st)

Definition at line 83 of file fts.h.

Referenced by Fts_open(), and fts_stat().

int FTS::fts_nitems

elements in the sort array

Definition at line 66 of file fts.h.

Referenced by fts_sort().

DIR*(* FTS::fts_opendir)(const char *path)

Definition at line 71 of file fts.h.

Referenced by Fts_open().

int FTS::fts_options

fts_open options, global flags

Definition at line 99 of file fts.h.

Referenced by Fts_open().

char* FTS::fts_path

path for this descent

Definition at line 63 of file fts.h.

Referenced by fts_alloc(), fts_build(), Fts_close(), fts_load(), Fts_open(), fts_padjust(), fts_palloc(), and Fts_read().

int FTS::fts_pathlen

sizeof(path)

Definition at line 65 of file fts.h.

Referenced by fts_build(), and fts_palloc().

struct dirent*(* FTS::fts_readdir)(DIR *dir)
| read

Definition at line 74 of file fts.h.

Referenced by fts_build(), and Fts_open().

int FTS::fts_rfd

fd for root

Definition at line 64 of file fts.h.

Referenced by fts_build(), Fts_close(), Fts_open(), and Fts_read().

int(* FTS::fts_stat)(const char *path,struct stat *st)

Definition at line 80 of file fts.h.

Referenced by Fts_open(), and fts_stat().

The documentation for this struct was generated from the following file:

- rpmio/fts.h